# Xorg home.nix
{ config, lib, pkgs, inputs, user, ... }:
{
  imports = [
    ./gui.nix
  ];
  xresources.properties = {
    "*.foreground" = "#f8f8f2";
    "*.background" = "#282a36";
    "*.color0" = "#000000";
    "*.color8" = "#4d4d4d";
    "*.color1" = "#ff5555";
    "*.color9" = "#ff6367";
    "*.color2" = "#50fa7b";
    "*.color10" = "#5af78e";
    "*.color3" = "#f1fa8c";
    "*.color11" = "#f4f99d";
    "*.color4" = "#bd93f9";
    "*.color12" = "#caa9fa";
    "*.color5" = "#ff79c6";
    "*.color13" = "#ff92d0";
    "*.color6" = "#8be9fd";
    "*.color14" = "#9aedfe";
    "*.color7" = "#bfbfbf";
    "*.color15" = "#e63636";
    "*backarrowKeyIsErase" = true;
    "XTerm*renderFont" = true;
    "XTerm*faceName" = "ComicMono";
    "XTerm*faceSize" = 10;
    "XTerm*utf8" = true;
    "XTerm*ptyInitialErase" = true;
    "XTerm*backarrowKeyIsErase" = false;
  };
  home.file = {
    "xinitrc" = {
      source = ./dots/xinitrc;
      target = ".xinitrc";
    };
  };
  xsession.windowManager.bspwm = {
    enable = true;
    rules = {
      "trayer:panel:" = {
          border = false;
          manage = false;
      };
      "xdragon:Xdragon:" = {
          state = "floating";
          sticky = true;
      };
    };
    settings = {
      automatic_scheme = "alternate";
      split_ratio = 0.60;
      focus_follows_pointer = true;
      pointer_follows_focus = true;
      border_width = 1;
      top_padding = 0;
      window_gap = 24;
      borderless_monocle = false;
      gapless_monocle = false;
      focused_border_color = "#bd93f9";
      normal_border_color = "#282a36";
      presel_feedback_color = "#282a36";
    };
  };
  xdg.configFile = {
    "dunst" = {
      source = ./dots/dunst;
      target = "dunst";
      recursive = true;
    };
    "sxhkd" = {
      source = ./dots/sxhkd;
      target = "sxhkd";
      recursive = true;
      executable = true;
    };
  };
}
