# NixOS VM configuration.nix
{ config, lib, pkgs, inputs, user, ... }:
let
  hostname="nixos";
in
{
  imports = [
    ./hardware-configuration.nix
  ];
  boot = {
    loader.grub = {
        enable = true;
        device = "/dev/vda";
        useOSProber = true;
    };

    # Hardware-configuration edits
    kernel.sysctl."net.ipv4.ip_forward" = 1;

    # Clean /tmp at boot
    tmp.cleanOnBoot = true;
  };
  networking = {
    hostName = "${hostname}"; # Define your hostname.
    firewall = {
      # To disable the firewall altogether:
      # enable = false;
      allowedTCPPorts = [ 445 139 ];
      allowedUDPPorts = [ 137 138 ];
    };
    # Proxy configuration
    # proxy = {
    #   default = "http://user:password@proxy:port/";
    #   noProxy = "127.0.0.1,localhost,internal.domain";
    # };
  };
  users.users.${user.name} = {
    extraGroups = [
    ];
    packages = with pkgs; [
    ];
  };
  services = {
  # Enable automatic login for the user.
    getty.autologinUser = "${user.name}";
  };
}
