# GUI configuration.nix
{ config, lib, pkgs, inputs, user, ... }:
{
  environment = {
    variables = {
      VISUAL = "$EDITOR";
      BROWSER = "mullvad-browser";
    };
  };
  xdg.mime = {
    enable = true;
    defaultApplications = {
      "image/*" = [
        "feh.desktop"
      ];
      "text/*" = [
        "mullvad-browser.desktop"
      ];
      "video/*" = [
        "mpv.desktop"
      ];
    };
  };
  services = {
    # To add the Flathub repo, run:
    # $ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
    flatpak.enable = true;
    dbus.enable = true;
  };
  fonts.packages = with pkgs; [
    comic-mono
    noto-fonts
    noto-fonts-cjk
    noto-fonts-emoji
    fira-code
    fira-code-symbols
    dina-font
  ];
  programs = {
    dconf.enable = true;
  };
  users.users.${user.name}.packages = with pkgs; [
    ani-cli
    bashmount
    glib
    lagrange
    librewolf
    mangal
    mpv
    mullvad-browser
    mupdf
    #onionshare-gui
    tor-browser-bundle-bin
    #urlview
    ytfzf
  ];
  environment.systemPackages = with pkgs; [
    libnotify
    networkmanagerapplet
    xdg-utils
    xdragon
  ];
}
