# Wayland configuration.nix
{ config, lib, pkgs, inputs, user, ... }:
{
  imports = [
    ./gui.nix
  ];
  environment = {
    variables = {
      TERMINAL = "foot";
    };
  };
  xdg = {
    autostart.enable = true;
    portal = {
      enable = true;
      xdgOpenUsePortal = true;
      extraPortals = [
        pkgs.xdg-desktop-portal-wlr
      ];
      configPackages = [
        pkgs.xdg-desktop-portal-wlr
      ];
    };
  };
  programs = {
    river = {
      enable = true;
      extraPackages = with pkgs; [
        bemenu
        foot
        mako
        swaylock
        way-displays
        wtype
      ];
    };
    xwayland = {
      enable = true;
    };
  };
  users.users.${user.name}.packages = with pkgs; [
    bemoji
    cliphist
    grimblast
    imv
    swww
    tessen
    wl-clipboard
  ];
  environment.systemPackages = [
  ];
}
